using System;

namespace Entity
{

	/// <summary>
	/// Enumerador para el control de las entidades
	/// </summary>
	public enum Estatus
	{
		Borrado,
		Agregado,
		Modificado,
		SinCambios
	}

	public enum Proceso
	{
		CompraTerreno=1,
		Construir=2,
		Vender=3
	}

	/// <summary>
	/// Enumerador para los estatus de las ordenes de compra
	/// Activo=1,
	///	Cancelado=2,
	///	Autorizado=3,
	///	Surtida=9,
	///	SurtidaParcial=10,
	///	CanceladoParcial=11
	/// </summary>
	public enum EstatusOrdenCompra
	{
		Activo=1,
		Cancelado=2,
		Autorizado=3,
		Surtida=9,
		SurtidaParcial=10,
		CanceladoParcial=11
	}

	public enum BasesFiscales
	{
        
	}

	public enum Gravables
	{

	}

	public enum Calendarios
	{

	}

	public enum NominaTipos
	{

	}

	/// <summary>
	/// Enumerador para los estatus de los cierres de venta
	/// Cancelado = 1
	/// Prospectado = 2
	/// SolicitudCredito = 3
	/// CerradoPorIntegrar = 4
	/// CerradoPorIntegrarVencido = 5
	/// IntegradoPoAutorizar = 6
	/// IntegradoPorAutorizarVencido = 7
	/// AutorizadoPorSerCliente1 = 8
	/// Cliente1PorOperar = 9
	/// Operado = 10
	/// Contado = 11
	/// </summary>
	public enum EstatusCierres
	{
		Cancelado = 1,
		Prospectado = 2,
		SolicitudCredito = 3,
		CerradoPorIntegrar = 4,
		CerradoPorIntegrarVencido = 5,
		IntegradoPorAutorizar  = 6,
		IntegradoPorAutorizarVencido = 7,
		AutorizadoPorSerCliente1 = 8,
		Cliente1PorOperar = 9,
		Operado = 10,
		Contado = 11
	}

	/// <summary>
	/// Enumerador para los estatus de las personas
	/// </summary>
	public enum EstatusPersonas
	{
		Cancelado,
		Nuevo,
		ProspectoSinCalificar,
		ProspectoCalificado,
		AsignadoSinCalificar,
		AsignadoCalificado,
		PorReasignarSinCalificado,
		PorReasignarCalificado,
		ProspectoPicsa,
		Cerrado
	}
	public enum RegistroCuotaImss
	{
	}

	/// <summary>
	/// Enumerador para colores de la consola
	/// </summary>
	[Flags]
	public enum ForeGroundColour
	{
		Black = 0x0000,
		Blue = 0x0001,
		Green = 0x0002, 
		Cyan = 0x0003,
		Red = 0x0004,
		Magenta = 0x0005,
		Yellow = 0x0006,
		Grey = 0x0007,
		White = 0x0008
	}

	/// <summary>
	/// Enumerador para los tipos de quejas
	/// DefectoFabrica = 1
	/// DefectoInstalacion = 2
	/// DaoConstruccion = 3
	/// NoTuboProblema = 4
	/// </summary>
	public enum TipoQueja
	{
		DefectoFabrica = 1,
		DefectoInstalacion = 2,
		DaoConstruccion = 3,
		NoTuboProblema = 4		
	}

	public enum SobreCarga
	{
		LlavePrimaria,
		LlaveSecundaria
	}

	/// <summary>
	/// Enumerador para los tipos de prospecto
	/// Cancelado = 0
	/// Nuevo = 1
	/// ProspectoSinCalificar = 2
	/// ProspectoCalificado = 3
	/// AsignadoSinCalidicar = 4
	/// AsignadoCalificado = 5
	/// PorReasignarSinCalificar = 6
	/// PorReasignarCalificado = 7
	/// ProspectoPicsa = 8
	/// Cerrado = 9
	/// </summary>
	public enum EstatusProspecto
	{
		Cancelado = 0,
		Nuevo = 1,
		ProspectoSinCalificar = 2,
		ProspectoCalidicado = 3,
		AsignadoSinCalificar = 4,
		AsignadoCalificado = 5,
		PorReasignarSinCalificar = 6,
		PorReasignarCalificado = 7,
		ProspectoPicsa = 8,
		Cerrado = 9
	}

	/// <summary>
	/// Cerradores = 0,
	///GerentesCerrador = 1,
	///Prospectadores = 2,
	///GerentesProspectacion = 3,
	///Coordinadores = 4,
	///Integradores = 5
	/// </summary>
	public enum TipoComisionista
	{
		Cerradores = 1,
		GerentesCerrador = 2,
		Prospectadores = 3,
		GerentesProspectacion = 4,
		Coordinadores = 5,
		Integradores = 6
	}
}
